# Uses of Class
org.pentaho.reporting.libraries.formula.parser.ParseException

Packages that use ParseException
Package
Description
org.pentaho.reporting.libraries.formula
org.pentaho.reporting.libraries.formula.parser
org.pentaho.reporting.libraries.formula.util

## Uses of ParseException in org.pentaho.reporting.libraries.formula

Constructors in org.pentaho.reporting.libraries.formula that throw ParseException
Modifier
Constructor
Description
``
`Formula(String formulaText)`

## Uses of ParseException in org.pentaho.reporting.libraries.formula.parser

Subclasses of ParseException in org.pentaho.reporting.libraries.formula.parser
Modifier and Type
Class
Description
`class`
`FormulaParseException`
Todo: Document me!
Methods in org.pentaho.reporting.libraries.formula.parser that return ParseException
Modifier and Type
Method
Description
`ParseException`
FormulaParser.`generateParseException()`
`ParseException`
GeneratedFormulaParser.`generateParseException()`
Generate ParseException.
Methods in org.pentaho.reporting.libraries.formula.parser that throw ParseException
Modifier and Type
Method
Description
`final LValue`
GeneratedFormulaParser.`getExpression()`
`final InfixOperator`
GeneratedFormulaParser.`getInfixOperator()`
`final LValue`
GeneratedFormulaParser.`getLValue()`
`final PostfixOperator`
GeneratedFormulaParser.`getPostfixOperator()`
`final PrefixOperator`
GeneratedFormulaParser.`getPrefixOperator()`
`static void`
FormulaParser.`main(String[] args)`
`LValue`
FormulaParser.`parse(String formula)`
`final LValue`
GeneratedFormulaParser.`parseArray()`
`final LValue`
GeneratedFormulaParser.`parseFunction(String name, ParsePosition parsePosition)`
`final LValue[]`
GeneratedFormulaParser.`parseRow()`
`final Term`
GeneratedFormulaParser.`startTail(LValue retval)`
Constructors in org.pentaho.reporting.libraries.formula.parser with parameters of type ParseException
Modifier
Constructor
Description
``
`FormulaParseException(ParseException pe)`

## Uses of ParseException in org.pentaho.reporting.libraries.formula.util

Methods in org.pentaho.reporting.libraries.formula.util that throw ParseException
Modifier and Type
Method
Description
`static Object[]`
FormulaUtil.`getReferences(String formula)`